EXP(3)

NAME
exp, expf, exp2, exp2f, expm1, expm1f - exponential functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
exp(double x);
float
expf(float x);
double
exp2(double x);
float
exp2f(float x);
double
expm1(double x);
float
expm1f(float x);

DESCRIPTION
The exp() and expf() functions compute the base e exponential value of the given argument x.

The exp2() and exp2f() functions compute the base 2 exponential of the given argument x.

The expm1() and expm1f() functions compute the value exp(x)-1 accurately even for tiny argument x.

RETURN VALUES
These functions will return the appropriate computation unless an error occurs or an argument is out of range. The functions exp() and expm1() detect if the computed value will overflow, set the global variable errno to ERANGE and cause a reserved operand fault on a VAX.

SEE ALSO
math(3)

STANDARDS
The exp() function conforms to ansiC. The exp2(), exp2f(), expf(), expm1(), and expm1f() functions conform to isoC-99.

HISTORY
The exp() functions appeared in AT&T UNIX. The expm1() function appeared in 4.3BSD.